<?php

declare(strict_types=1);

namespace Drupal\pm;

use Drupal\Core\Plugin\PluginBase;

/**
 * Default class used for pm_dashboard_items plugins.
 */
final class PmDashboardItemDefault extends PluginBase implements PmDashboardItemInterface {

  /**
   * {@inheritdoc}
   */
  public function label(): string {
    // The title from YAML file discovery may be a TranslatableMarkup object.
    return (string) $this->pluginDefinition['label'];
  }

}
